Skip to main content
GET
/
v1
/
applications
/
{uid}
/
users
List Users of an Application
curl --request GET \
  --url https://api.siit.io/v1/applications/{uid}/users \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.siit.io/v1/applications/{uid}/users"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.siit.io/v1/applications/{uid}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "meta": {
    "count": 123,
    "current_page": 123,
    "next_page_link": "<string>",
    "per_page": 20,
    "previous_page_link": "<string>",
    "total": 123
  },
  "results": [
    {
      "birthday_date": "2023-12-25",
      "city": "<string>",
      "country": "<string>",
      "employee_number": "<string>",
      "first_name": "<string>",
      "hire_date": "2023-12-25",
      "job_leave_date": "2023-12-25",
      "job_start_date": "2023-12-25",
      "job_title": "<string>",
      "last_name": "<string>",
      "last_working_date": "2023-12-25",
      "metadata": {},
      "preferred_language": "<string>",
      "probation_end_date": "2023-12-25",
      "work_phone": "<string>",
      "uid": "<string>",
      "admin_permalink_url": "<string>",
      "archived_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "department": "<string>",
      "department_uid": "<string>",
      "emails": [
        "<string>"
      ],
      "full_name": "<string>",
      "legal_entity": "<string>",
      "legal_entity_uid": "<string>",
      "microsoft_entra_ids": [
        "<string>"
      ],
      "microsoft_entra_group_ids": [
        "<string>"
      ],
      "office_location": "<string>",
      "office_location_uid": "<string>",
      "report_to": "<string>",
      "report_to_uid": "<string>",
      "slack_user_id": "<string>",
      "status": "employee",
      "team_uids": [
        "<string>"
      ],
      "teams": [
        "<string>"
      ],
      "timezone": "<string>",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}
{
"error": "<string>",
"troubleshoot": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

uid
string
required

The UID of the Application

Query Parameters

expand[]
string[]

Fields to expand into full objects. Example: ?expand[]=assignee_admin&expand[]=tags

page
integer

The current page

per_page
integer

Number of results retrieved per page.

Response

Successful

meta
object
results
object[]